Commit 238c3e4a authored by Vitaly Lipatov's avatar Vitaly Lipatov

commit packed 3.28.7

parent a3af8c76
...@@ -640,6 +640,21 @@ has_space() ...@@ -640,6 +640,21 @@ has_space()
estrlist -- has_space "$@" estrlist -- has_space "$@"
} }
if ! which realpath 2>/dev/null >/dev/null ; then
realpath()
{
[ -n "$*" ] || return
readlink -f "$@"
}
fi
if ! which subst 2>/dev/null >/dev/null ; then
subst()
{
sed -i -e "$@"
}
fi
# File bin/epm-addrepo: # File bin/epm-addrepo:
...@@ -4253,8 +4268,9 @@ if __check_play_script "$prescription" ; then ...@@ -4253,8 +4268,9 @@ if __check_play_script "$prescription" ; then
#__is_app_installed "$prescription" && info "$$prescription is already installed (use --remove to remove)" && exit 1 #__is_app_installed "$prescription" && info "$$prescription is already installed (use --remove to remove)" && exit 1
__epm_play_run "$prescription" --run "$@" && __save_installed_app "$prescription" || fatal "There was some error during install the application." __epm_play_run "$prescription" --run "$@" && __save_installed_app "$prescription" || fatal "There was some error during install the application."
else else
opsdir=$psdir
psdir=$prsdir psdir=$prsdir
__check_play_script "$prescription" || fatal "We have no idea how to play $prescription (checked in $psdir and $prsdir)" __check_play_script "$prescription" || fatal "We have no idea how to play $prescription (checked in $opsdir and $prsdir)"
__epm_play_run "$prescription" --run "$@" || fatal "There was some error during run the script." __epm_play_run "$prescription" --run "$@" || fatal "There was some error during run the script."
fi fi
} }
...@@ -11405,7 +11421,7 @@ Examples: ...@@ -11405,7 +11421,7 @@ Examples:
print_version() print_version()
{ {
echo "EPM package manager version 3.28.6 https://wiki.etersoft.ru/Epm" echo "EPM package manager version 3.28.7 https://wiki.etersoft.ru/Epm"
echo "Running on $($DISTRVENDOR -e) ('$PMTYPE' package manager uses '$PKGFORMAT' package format)" echo "Running on $($DISTRVENDOR -e) ('$PMTYPE' package manager uses '$PKGFORMAT' package format)"
echo "Copyright (c) Etersoft 2012-2022" echo "Copyright (c) Etersoft 2012-2022"
echo "This program may be freely redistributed under the terms of the GNU AGPLv3." echo "This program may be freely redistributed under the terms of the GNU AGPLv3."
...@@ -11415,7 +11431,7 @@ print_version() ...@@ -11415,7 +11431,7 @@ print_version()
Usage="Usage: epm [options] <command> [package name(s), package files]..." Usage="Usage: epm [options] <command> [package name(s), package files]..."
Descr="epm - EPM package manager" Descr="epm - EPM package manager"
EPMVERSION=3.28.6 EPMVERSION=3.28.7
verbose=$EPM_VERBOSE verbose=$EPM_VERBOSE
quiet= quiet=
nodeps= nodeps=
......
...@@ -630,6 +630,21 @@ has_space() ...@@ -630,6 +630,21 @@ has_space()
estrlist -- has_space "$@" estrlist -- has_space "$@"
} }
if ! which realpath 2>/dev/null >/dev/null ; then
realpath()
{
[ -n "$*" ] || return
readlink -f "$@"
}
fi
if ! which subst 2>/dev/null >/dev/null ; then
subst()
{
sed -i -e "$@"
}
fi
# File bin/serv-cat: # File bin/serv-cat:
serv_cat() serv_cat()
...@@ -2340,7 +2355,7 @@ print_version() ...@@ -2340,7 +2355,7 @@ print_version()
local on_text="(host system)" local on_text="(host system)"
local virt="$($DISTRVENDOR -i)" local virt="$($DISTRVENDOR -i)"
[ "$virt" = "(unknown)" ] || [ "$virt" = "(host system)" ] || on_text="(under $virt)" [ "$virt" = "(unknown)" ] || [ "$virt" = "(host system)" ] || on_text="(under $virt)"
echo "Service manager version 3.28.6 https://wiki.etersoft.ru/Epm" echo "Service manager version 3.28.7 https://wiki.etersoft.ru/Epm"
echo "Running on $($DISTRVENDOR -e) $on_text with $SERVICETYPE" echo "Running on $($DISTRVENDOR -e) $on_text with $SERVICETYPE"
echo "Copyright (c) Etersoft 2012-2021" echo "Copyright (c) Etersoft 2012-2021"
echo "This program may be freely redistributed under the terms of the GNU AGPLv3." echo "This program may be freely redistributed under the terms of the GNU AGPLv3."
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment